#ifndef _BREAKOUTSPLASHSCREENSCENE_H_
#define _BREAKOUTSPLASHSCREENSCENE_H_

#include "IScene.h"
#include "Visualisation.h"

class BreakoutSplashScreenScene : public IScene
{
	public:
	BreakoutSplashScreenScene();
	~BreakoutSplashScreenScene();

	virtual void Initialise();
	virtual void Draw();
	virtual void Update();
	virtual void Shutdown();

	virtual void Activate();
	virtual void Deactivate();

	virtual bool HandleEvent(IEvent* pEvent);

	protected:
	bool m_bIsActive;
	SpriteID m_agsText, m_myName, m_loadingText;
};

#endif
